Joomla – Fabrik – 0 Unable to connect to the Database:

I had a Fabrik project that I wanted so show someone and when I got there I saw this message.

0 Unable to connect to the Database: This driver is unsupported in PHP 7, please use the MySQLi or PDO MySQL driver instead.

My Joomla was version Joomla! 3.8.6. I had recently upgraded the server to PHP 7, so I found what broke it. I found this article to get me started.

http://fabrikar.com/forums/index.php?threads/if-in-joomla-3-5-you-get-this-driver-is-unsupported-in-php-7-try.43721/

I needed my Joomla! version and I found in the backend >>  System >> System information.

The solution was to change the SQL driver in Administrator side to “MySQLI(PDO)”. You get there by going to Global Configuration >> Server, and it will be in the upper right.

I hope this helps someone else out there…

 

This entry was posted in Fabrik, Joomla, Joomla Extension, Joomla Update, MySQL. Bookmark the permalink.

Leave a Reply

Your email address will not be published. Required fields are marked *